--
-- data-model.sql file for dating quiz
-- defined May 9, 1998 by philg@mit.edu, age@mit.edu
--

create sequence quiz_id_sequence;

create table quizzes (
	quiz_id		integer not null primary key,
	title		varchar(100),
	first_question_id 	integer not null,
	-- we assume that we start with an image number 1
	min_image_number	integer,
	max_image_number	integer,
	-- the sum of all the plays 
	total_score	integer default 0,
	-- how many plays (so we can compute the average)
	total_trials	integer default 0
);

create sequence question_id_sequence;

create table questions (
	question_id		integer not null primary key,
	-- this will be NULL for the last question
	next_question_id	integer references questions,
	quiz_id		integer not null references quizzes,
	preamble	varchar(4000),
	text		varchar(4000) not null
);

create sequence answer_id_sequence;

create table answers (
	answer_id 	integer not null primary key,
	question_id	integer not null references questions,
	text		varchar(4000) not null,
	score_delta	number,
	responses	integer default 0
);

--
-- for the players
--

create sequence player_id_sequence;

create table players (
	player_id	integer not null primary key,
	start_time	date,
	quiz_id			integer not null references quizzes,
	-- space-separated list (for Tcl) of all the question_ids
	-- is NULL when we start; last question is at end
	questions_answered	varchar(4000),
	score			number default 15
);
