set_form_variables 0

# reason (could be "no_more_questions" or "player_won")

set headers [ns_conn headers]
set cookie [ns_set get $headers Cookie]
if { ![regexp {player_id=([^;]+)} $cookie {} player_id] } {
    ns_return 200 text/html "no cookie :-( "
    return
}

# we have player_id set appropriately

set db [ns_db gethandle clickpool]

set selection [ns_db 0or1row $db "select players.*, min_image_number, max_image_number
from players, quizzes
where player_id = $player_id
and players.quiz_id = quizzes.quiz_id"]

if { $selection == "" } {
    ns_return 200 text/html "no entry in the RDBMS :-( "
    return
}

# we have a row from the database, now turn the columns into Tcl local
# variables

set_variables_after_query

set image_number [expr round($score)]
if { $image_number < $min_image_number } {
    set image_number $min_image_number
} 
if { $image_number > $max_image_number } {
    set image_number $max_image_number
}

# expire their player_id

if { [info exists reason] && $reason == "player_won" } {
    set title "You Won"
    set max_score_blurb ""
} else {
    set title "Thank You For Playing" 
    set max_score_blurb "The maximum score for which we have an image is $max_image_number."
}

ReturnHeadersNoCache

ns_write "<html>
<head>
<title>$title</title>
</head>

<body bgcolor=#ffffff text=#000000>

<center>

<a target=bigpicture href=\"bigger.tcl?quiz_id=$quiz_id&image_number=$image_number\">
<img border=0 src=\"images/$quiz_id/$image_number.2.jpg\">
</a>

<h3>$title</h3>

<a href=index.tcl>The Game</a>, a production of <a href=\"http://photo.net/philg/site-map.html\">Brutal
Truth Industries</a>

<p>

designed, photographed, and programmed by 
<a href=\"mailto:age@mit.edu\">Adriane Chapman</a>
and 
<a href=\"http://photo.net/philg/\">Philip Greenspun</a> 

<p>

film development and PhotoCD scanning by 
<a href=\"http://clickthrough.photo.net/ct/philg/dating-game-on-db.photo.net.html?send_to=http://www.bostonphoto.com\">Boston Photo</a>

<h3>Your final score:  $score</h3>

"


ns_db dml $db "update quizzes 
set total_score = total_score + $score,
total_trials = total_trials+1
where quiz_id = $quiz_id"

set selection [ns_db 1row $db "select round(total_score/total_trials) as average_score, total_trials from quizzes where quiz_id = $quiz_id"]
set_variables_after_query

ns_write "<p>

Average score on this quiz:  $average_score ($total_trials players). 
$max_score_blurb

<p>

<form method=get action=start.tcl>
<input type=hidden name=quiz_id value=$quiz_id>
<input type=submit value=\"Play Again\">
</form>



<table cellpadding=15>
<tr>
<td>
<a href=\"stats.tcl\">detailed statistics</a>
<td>
<a href=\"disclaimer.html\">other sexual preferences</a>
</table>

</center>


<hr>
<a href=\"mailto:age@mit.edu\"><i>age@mit.edu</i></a>
and 
<a href=\"http://photo.net/philg/\"><i>philg@mit.edu</i></a>
</body>
</html>
"
